import { CommentAnnotation, CommentElement, Location, CommentSelectionChangeData, CommentSidebarCustomActionEventData, CommentAddEventData, CommentUpdateEventData, UnreadCommentsCount } from "@veltdev/types";
export declare function useCommentUtils(): CommentElement | undefined;
export declare function useCommentAnnotations(documentId?: string, location?: Location): CommentAnnotation[] | null | undefined;
export declare function useUnreadCommentCountByAnnotationId(annotationId: string): UnreadCommentsCount;
export declare function useUnreadCommentAnnotationCountOnCurrentDocument(): UnreadCommentsCount;
export declare function useUnreadCommentCountOnCurrentDocument(): UnreadCommentsCount;
export declare function useUnreadCommentCountByLocationId(locationId: string): UnreadCommentsCount;
export declare function useUnreadCommentAnnotationCountByLocationId(locationId: string): UnreadCommentsCount;
export declare function useCommentModeState(): boolean | undefined;
/**
 * @legacy Use `useCommentEventCallback('addCommentAnnotation')` event hook instead.
 */
export declare function useCommentAddHandler(): CommentAddEventData | undefined;
/**
 * @legacy Use `useCommentEventCallback` event hook instead.
 */
export declare function useCommentUpdateHandler(): CommentUpdateEventData | undefined;
export declare function useCommentDialogSidebarClickHandler(): any;
export declare function useCommentSelectionChangeHandler(): CommentSelectionChangeData | undefined;
export declare function useCommentCopyLinkHandler(): {
    link: string;
} | undefined;
export declare function useCommentAnnotationById(config: {
    annotationId: string;
    documentId?: string;
}): CommentAnnotation | null | undefined;
export declare function useCommentSidebarActionButtonClick(): CommentSidebarCustomActionEventData | null;
export declare function useCommentSidebarInit(): CommentSidebarCustomActionEventData | null;
export declare function useCommentSidebarData(): CommentSidebarCustomActionEventData | null;
