import { EditorAccessTimer, LiveStateSyncElement, ServerConnectionState, SetLiveStateDataConfig, User, UserEditorAccess } from "@veltdev/types";
declare class LiveStateDataConfig {
    listenToNewChangesOnly?: boolean;
}
export declare function useLiveStateSyncUtils(): LiveStateSyncElement | undefined;
export declare function useLiveStateData<T = unknown>(liveStateDataId?: string, liveStateDataConfig?: LiveStateDataConfig): T | undefined;
export declare function useSetLiveStateData<T = unknown>(liveStateDataId: string, liveStateData: T, config?: SetLiveStateDataConfig): void;
export declare function useUserEditorState(): UserEditorAccess | null | undefined;
export declare function useEditor(): User | null;
export declare function useEditorAccessTimer(): EditorAccessTimer;
export declare function useEditorAccessRequestHandler(): {
    requestStatus: string;
    requestedBy: User;
} | null;
export declare function useServerConnectionStateChangeHandler(): ServerConnectionState | undefined;
export declare function useLiveState<T>(liveStateDataId: string, initialValue?: any, options?: {
    syncDuration?: number;
    resetLiveState?: boolean;
    listenToNewChangesOnly?: boolean;
}): [T, (value: T) => void, ServerConnectionState | undefined];
export {};
